import request from '@/utils/request'

// 修改单价列表
export function updatePriceList(data) {
  return request({
    url: '/production/price/updatePriceList',
    method: 'put',
    data: data
  })
}

// 按年份查询单价
export function getPriceByYear(year) {
  return request({
    url: '/production/price/getByYear/' + year,
    method: 'get'
  })
}

// 查询生产月报单价维护列表
export function listPrice(query) {
  return request({
    url: '/production/price/list',
    method: 'get',
    params: query
  })
}

// 查询生产月报单价维护详细
export function getPrice(id) {
  return request({
    url: '/production/price/' + id,
    method: 'get'
  })
}

// 新增生产月报单价维护
export function addPrice(data) {
  return request({
    url: '/production/price',
    method: 'post',
    data: data
  })
}

// 修改生产月报单价维护
export function updatePrice(data) {
  return request({
    url: '/production/price',
    method: 'put',
    data: data
  })
}

// 删除生产月报单价维护
export function delPrice(id) {
  return request({
    url: '/production/price/' + id,
    method: 'delete'
  })
}

// 导出生产月报单价维护
export function exportPrice(query) {
  return request({
    url: '/production/price/export',
    method: 'get',
    params: query
  })
}
